%set_perl_req_method relaxed
%define _without_test 1
%filter_from_provides /^perl(Apache.Constants.pm)/d
%filter_from_requires /^perl.Apache.compat.pm./d
%define module_version 1.29
%define module_name CGI-Minimal
# BEGIN SourceDeps(oneline):
BuildRequires: perl(APR/Pool.pm) perl(Apache2/RequestIO.pm) perl(Apache2/RequestUtil.pm) perl(Carp.pm) perl(Module/Build.pm) perl(Test/Distribution.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.29
Release: alt3
Summary: A lightweight CGI form processing package
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SN/SNOWHARE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
%summary

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes TODO examples
%perl_vendor_privlib/C*

%changelog
* Tue Jan 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.29-alt3
- rebuild w/o Apache1 support

* Tue Apr 05 2016 Igor Vlasenko <viy@altlinux.ru> 1.29-alt2
- fixed requires

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.29-alt1
- initial import by package builder

